## ratchetphp 0.4.1

=== Makefile ===
# This file is intended to ease the author's development and testing process
# Users do not need to use `make`; Ratchet does not need to be compiled

test:
	phpunit

cover:
	phpunit --coverage-text --coverage-html=reports/coverage

abtests:
	ulimit -n 2048 && php tests/autobahn/bin/fuzzingserver.php 8001 LibEvent &
	ulimit -n 2048 && php tests/autobahn/bin/fuzzingserver.php 8002 StreamSelect &
	ulimit -n 2048 && php tests/autobahn/bin/fuzzingserver.php 8004 LibEv &
	wstest -m testeeserver -w ws://localhost:8000 &
	sleep 1
	wstest -m fuzzingclient -s tests/autobahn/fuzzingclient-all.json
	killall php wstest

abtest:
	ulimit -n 2048 && php tests/autobahn/bin/fuzzingserver.php 8000 StreamSelect &
	sleep 1
	wstest -m fuzzingclient -s tests/autobahn/fuzzingclient-quick.json
	killall php

profile:
	php -d 'xdebug.profiler_enable=1' tests/autobahn/bin/fuzzingserver.php 8000 LibEvent &
	sleep 1
	wstest -m fuzzingclient -s tests/autobahn/fuzzingclient-profile.json
	killall php

apidocs:
	apigen --title Ratchet -d reports/api \
		-s src/ \
		-s vendor/ratchet/rfc6455/src \
		-s vendor/react/event-loop/src \
		-s vendor/react/socket/src \
		-s vendor/react/stream/src \
		-s vendor/psr/http-message/src \
		-s vendor/symfony/http-foundation/Session \
		-s vendor/symfony/routing \
		-s vendor/evenement/evenement/src/Evenement \
		--exclude=vendor/symfony/routing/Tests \

=== debian/changelog ===
ratchetphp (0.4.1-3) unstable; urgency=medium

  * debian/patches/fix_deps.patch:
    switch over to requiring symfony 4.x (Closes: #939193), cf. #765899
  * modernise packaging
  * add UMEGAYA metadata, update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 20 Nov 2019 00:58:01 +0100

ratchetphp (0.4.1-2) unstable; urgency=medium

  * Update dependency of socket library.
  * Bump Standards-Version (no changes needed).

 -- Dominik George <natureshadow@debian.org>  Mon, 03 Dec 2018 23:55:20 +0100

ratchetphp (0.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #878876)

 -- Dominik George <natureshadow@debian.org>  Fri, 18 May 2018 20:56:09 +0200

=== debian/control ===
Source: ratchetphp
Section: php
Priority: optional
Maintainer: Teckids Debian Task Force <tdtf@lists.teckids.org>
Uploaders: Dominik George <natureshadow@debian.org>,
 Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper-compat (= 12), pkg-php-tools (>= 1.7~)
Standards-Version: 4.4.1
Homepage: https://github.com/ratchetphp/Ratchet
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tdtf-team/ratchetphp.git
Vcs-Browser: https://salsa.debian.org/tdtf-team/ratchetphp

Package: php-cboden-ratchet
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: PHP WebSocket library
 Ratchet is a PHP library for asynchronously serving WebSockets.  Build up
 your application through simple interfaces and re-use your application
 without changing any of its code just by combining different components.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with phpcomposer

# Nothing to build, but author has broken Makefile in sources
override_dh_auto_build:

# Do not use author's broken Makefile
override_dh_auto_test:

## ratchetphp 0.4.2

=== debian/changelog ===
ratchetphp (0.4.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version (no changes needed).

 -- Dominik George <natureshadow@debian.org>  Mon, 09 Mar 2020 23:17:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Dominik George <natureshadow@debian.org>,
  Thorsten Glaser <tg@mirbsd.de>
 Build-Depends: debhelper-compat (= 12), pkg-php-tools (>= 1.7~)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/ratchetphp/Ratchet
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/tdtf-team/ratchetphp.git
